php-resource



Zurück   PHP-Scripte PHP-Tutorials PHP-Jobs und vieles mehr > Entwicklung > PHP Developer Forum
 

Login

 
eingeloggt bleiben
star Jetzt registrieren   star Passwort vergessen
 

 

 


PHP Developer Forum Hier habt ihr die Möglichkeit, eure Skriptprobleme mit anderen Anwendern zu diskutieren. Seid so fair und beantwortet auch Fragen von anderen Anwendern. Dieses Forum ist sowohl für ANFÄNGER als auch für PHP-Profis! Fragen zu Laravel, YII oder anderen PHP-Frameworks.

Antwort
 
LinkBack Themen-Optionen Thema bewerten
  #1 (permalink)  
Alt 24-10-2007, 12:31
Phobos
 Newbie
Links : Onlinestatus : Phobos ist offline
Registriert seit: Oct 2007
Beiträge: 12
Phobos ist zur Zeit noch ein unbeschriebenes Blatt
Standard Mit PHP auf Java-Klassen zugreifen

Hallo,

ich versuche schon eine weile, mit PHP4 auf Java-Klassen zuzugreifen.
Ich benutze dabei XAMPP ( http://www.apachefriends.org/de/xampp.html ) als Webserver und PHP Version 4.4.7,
als Java-Version die J2SDK_1_4_2_16.
Sobald ich ein PHP-Script laufen lassen möchte, wo auf eine Java-Klasse zugegriffen wird, kommt folgende Fehlermeldung:



Fatal error: Cannot instantiate non-existent class: java in C:\xampp\htdocs\testzweck\test1.php on line 2



Der Sourcecode hierzu sieht noch so aus.



<?php
$system = new Java('java.lang.System');
?>



Ich habe es auch mit folgendem Code versucht (betreffende Klasse "Test.class" befindet sich im selben Verzeichnis)


<?php
$system = new Java('Test');
?>




Dennoch kommt die gleiche Fehlermeldung. Selbst die PHP.ini ist folgendermaßen (in Bezug auf Java) konfiguiert:


[Java]
java.class.path = .\php_java.jar
java.home = c:\j2sdk
java.library = c:\j2sdk\jre\bin\server\jvm.dll
java.library.path = .\


Langsam weiß ich nichtmehr weiter. Weiß jemand von euch, an was das liegen könnte? Danke schonmal im Vorraus

Geändert von Phobos (24-10-2007 um 12:36 Uhr)
Mit Zitat antworten
  #2 (permalink)  
Alt 24-10-2007, 13:22
jahlives
 Master
Links : Onlinestatus : jahlives ist offline
Registriert seit: Jun 2004
Ort: Hooker in Kernel
Beiträge: 8.279
jahlives ist zur Zeit noch ein unbeschriebenes Blatt
Standard

Zitat:
als Java-Version die J2SDK_1_4_2_16.
Brauchst du nicht eher die JRE. Weil mit der SDK wirst du auch lokal auf der Kiste kein Java zum laufen bringen
__________________
Gutes Tutorial | PHP Manual | MySql Manual | PHP FAQ | Apache | Suchfunktion für eigene Seiten

"An error does not become truth by reason of multiplied propagation, nor does truth become error because nobody sees it."
Mohandas Karamchand Gandhi (Mahatma Gandhi) (Source)
Mit Zitat antworten
  #3 (permalink)  
Alt 24-10-2007, 13:58
Phobos
 Newbie
Links : Onlinestatus : Phobos ist offline
Registriert seit: Oct 2007
Beiträge: 12
Phobos ist zur Zeit noch ein unbeschriebenes Blatt
Standard

Zitat:
Original geschrieben von jahlives
Brauchst du nicht eher die JRE. Weil mit der SDK wirst du auch lokal auf der Kiste kein Java zum laufen bringen
Das J2SDK hat doch ein JRE-Unterverzeichnis. Läuft damit kein Java? (Dachte eher gegenteiligieres)
Ansonsten habe ich noch die jre1.6.0_03 auf der Maschine installiert.
Ursprünglich habe ich die Einträge der PHP.ini dorthin verwiesen. Hatte jedoch dort vorhin genannten Fehler. Dann installierte ich das SDK, dachte, damit sollte es gehen. Ging jedoch auch nicht.
Mit Zitat antworten
  #4 (permalink)  
Alt 24-10-2007, 14:05
jahlives
 Master
Links : Onlinestatus : jahlives ist offline
Registriert seit: Jun 2004
Ort: Hooker in Kernel
Beiträge: 8.279
jahlives ist zur Zeit noch ein unbeschriebenes Blatt
Standard

Hast du schon versucht, die JAVA-"Sachen" in den PATH einzutragen? Meist läuft es besser wenn sich der Pfad zum Java Verz in PATH befindet.
Zitat:
Note: In order to enable this module on a Windows environment with PHP <= 4.0.6, you must make jvm.dll available to your systems PATH. No additional DLL is needed for PHP versions > 4.0.6.
Und welche PHP Version hast du genau?
Btw: Den Java Support für PHP in der php.ini hast du schon aktiviert?

Gruss

tobi
__________________
Gutes Tutorial | PHP Manual | MySql Manual | PHP FAQ | Apache | Suchfunktion für eigene Seiten

"An error does not become truth by reason of multiplied propagation, nor does truth become error because nobody sees it."
Mohandas Karamchand Gandhi (Mahatma Gandhi) (Source)
Mit Zitat antworten
  #5 (permalink)  
Alt 24-10-2007, 14:08
Slava
 PHP Senior
Links : Onlinestatus : Slava ist offline
Registriert seit: Nov 2002
Ort: Köln->Karlsruhe
Beiträge: 1.589
Slava befindet sich auf einem aufstrebenden Ast
Standard

du bist leider nicht der erster, der damit probleme bekommen hat.
ich würde empfehlen PHP/Java-Bridge zu benutzen.
http://php-java-bridge.sourceforge.net/pjb/
__________________
Slava
bituniverse.com
Mit Zitat antworten
  #6 (permalink)  
Alt 24-10-2007, 14:34
Phobos
 Newbie
Links : Onlinestatus : Phobos ist offline
Registriert seit: Oct 2007
Beiträge: 12
Phobos ist zur Zeit noch ein unbeschriebenes Blatt
Standard

Danke für die Ratschläge, aber es geht immer noch nicht.



Zitat:
Original geschrieben von jahlives
Hast du schon versucht, die JAVA-"Sachen" in den PATH einzutragen? Meist läuft es besser wenn sich der Pfad zum Java Verz in PATH befindet.

Ich habe im Path nachgesehen und zu Java-Verzeichnissen gepatht

c:\j2sdk;c:\j2sdk\bin;c:\j2sdk\jre\bin\server\

Läuft immernoch nicht (oder hab ich ein wichtiges Verzeichnis vergessen?)


Zitat:
Original geschrieben von jahlives

Und welche PHP Version hast du genau?
Btw: Den Java Support für PHP in der php.ini hast du schon aktiviert?

Gruss

tobi
PHP Version 4.4.7

Einträge der PHP.ini:


[Java]
java.class.path = .\php_java.jar
java.home = c:\j2sdk
java.library = c:\j2sdk\jre\bin\server\jvm.dll
java.library.path = .\


Habe ich was Wichtiges vergessen?

Zitat:
Original geschrieben von Slava
du bist leider nicht der erster, der damit probleme bekommen hat.
ich würde empfehlen PHP/Java-Bridge zu benutzen.
http://php-java-bridge.sourceforge.net/pjb/
Danke für den Tip, damit habe ich es auch schon versucht, mit dem gleichen Ergebnis.
Vielleicht hat der Apache-Server nach wie vor auf das falsche PHP zugegriffen.
Ich hatte das mit httpd.conf eingetragen, mit dem Befehl:


ScriptAlias /php/ "C:\php-java-bridge-3.2.1_j2ee"
Action application/x-httpd-php "/php/php.exe"


Aber das half auch nicht. Gibt es da irgendwo noch einen Hebel, den man setzen muss? Muss ich da noch irgendwas starten oder irgend einen Kommando in der Kommandozeile ausführen, um die Bridge zu starten?
Mit Zitat antworten
  #7 (permalink)  
Alt 24-10-2007, 14:43
jahlives
 Master
Links : Onlinestatus : jahlives ist offline
Registriert seit: Jun 2004
Ort: Hooker in Kernel
Beiträge: 8.279
jahlives ist zur Zeit noch ein unbeschriebenes Blatt
Standard

Zitat:
Läuft immernoch nicht (oder hab ich ein wichtiges Verzeichnis vergessen?)
Server nach der Änderung in PATH neugestartet?
__________________
Gutes Tutorial | PHP Manual | MySql Manual | PHP FAQ | Apache | Suchfunktion für eigene Seiten

"An error does not become truth by reason of multiplied propagation, nor does truth become error because nobody sees it."
Mohandas Karamchand Gandhi (Mahatma Gandhi) (Source)
Mit Zitat antworten
  #8 (permalink)  
Alt 24-10-2007, 14:46
Phobos
 Newbie
Links : Onlinestatus : Phobos ist offline
Registriert seit: Oct 2007
Beiträge: 12
Phobos ist zur Zeit noch ein unbeschriebenes Blatt
Standard

Zitat:
Original geschrieben von jahlives
Server nach der Änderung in PATH neugestartet?
Server nach der Änderung neu gestartet. Leider mit demselben Ergebnis
Mit Zitat antworten
  #9 (permalink)  
Alt 24-10-2007, 16:14
xkl1986
 Member
Links : Onlinestatus : xkl1986 ist offline
Registriert seit: May 2007
Ort: NRW
Beiträge: 215
xkl1986 ist zur Zeit noch ein unbeschriebenes Blatt
Standard

was sagt phpinfo() -

hast du die richtige php.ini genommen die im apache verzeichnis liegt?
__________________
"Nicht jeder Mensch kann und soll Programmieren[...]".
Mit Zitat antworten
  #10 (permalink)  
Alt 24-10-2007, 16:24
jahlives
 Master
Links : Onlinestatus : jahlives ist offline
Registriert seit: Jun 2004
Ort: Hooker in Kernel
Beiträge: 8.279
jahlives ist zur Zeit noch ein unbeschriebenes Blatt
Standard

Zitat:
Habe ich was Wichtiges vergessen?
Vielleicht haste meine Frage nicht genau genug gelesen. Hast du den JAVA Support in der php.ini aktiviert?
Code:
extension=php_java.dll
Gruss

tobi
__________________
Gutes Tutorial | PHP Manual | MySql Manual | PHP FAQ | Apache | Suchfunktion für eigene Seiten

"An error does not become truth by reason of multiplied propagation, nor does truth become error because nobody sees it."
Mohandas Karamchand Gandhi (Mahatma Gandhi) (Source)
Mit Zitat antworten
  #11 (permalink)  
Alt 24-10-2007, 18:43
Phobos
 Newbie
Links : Onlinestatus : Phobos ist offline
Registriert seit: Oct 2007
Beiträge: 12
Phobos ist zur Zeit noch ein unbeschriebenes Blatt
Standard

Zitat:
Original geschrieben von xkl1986
was sagt phpinfo() -

hast du die richtige php.ini genommen die im apache verzeichnis liegt?

Jipp

Zitat:
Original geschrieben von jahlives
Vielleicht haste meine Frage nicht genau genug gelesen. Hast du den JAVA Support in der php.ini aktiviert?
Code:
extension=php_java.dll
Gruss

tobi
Achso. Ja, die ist aktiviert.


Ich denk, vielleicht liegt der Fehler auch daran, dass ich XAMPP verwende und nicht den original Apache Server. Ich bin grad dabei, den zu installieren, in Hoffnung, dass es dann klappen wird ...
Mit Zitat antworten
  #12 (permalink)  
Alt 24-10-2007, 22:59
tontechniker
 PHP Senior
Links : Onlinestatus : tontechniker ist offline
Registriert seit: Jul 2005
Beiträge: 1.972
tontechniker ist zur Zeit noch ein unbeschriebenes Blatt
Standard

Zitat:
... dass ich XAMPP verwende und nicht den original Apache Server
Wo siehst du den Unterschied?
__________________
Die Regeln | rtfm | register_globals | strings | SQL-Injections | []
Mit Zitat antworten
  #13 (permalink)  
Alt 25-10-2007, 00:01
Slava
 PHP Senior
Links : Onlinestatus : Slava ist offline
Registriert seit: Nov 2002
Ort: Köln->Karlsruhe
Beiträge: 1.589
Slava befindet sich auf einem aufstrebenden Ast
Standard

Zitat:
Original geschrieben von tontechniker
Wo siehst du den Unterschied?
in dem, dass original Apache von XAMP vorkonfiguriert ist.
Ich vermute, dass nach der Neuinstallation von Apache nicht nur Java Austerkontrolle läuft.
Danach kann man wieder XAMP installieren und JavaBridge nachholen.
__________________
Slava
bituniverse.com
Mit Zitat antworten
  #14 (permalink)  
Alt 25-10-2007, 00:44
tontechniker
 PHP Senior
Links : Onlinestatus : tontechniker ist offline
Registriert seit: Jul 2005
Beiträge: 1.972
tontechniker ist zur Zeit noch ein unbeschriebenes Blatt
Standard

Ich weiß zwar nicht wie du die Apache "neuinstallieren" willst, aber ich bin mal gespannt was dabei rauskommt. Eine neuere Version könnte vielleicht helfen (wenn man nicht den neusten xampp installiert hat). Ich glaube allerdings nicht das es am Apache liegt sondern eher an einer Fehlkonfiguration.
__________________
Die Regeln | rtfm | register_globals | strings | SQL-Injections | []
Mit Zitat antworten
  #15 (permalink)  
Alt 25-10-2007, 16:23
Phobos
 Newbie
Links : Onlinestatus : Phobos ist offline
Registriert seit: Oct 2007
Beiträge: 12
Phobos ist zur Zeit noch ein unbeschriebenes Blatt
Standard

Danke für die guten Ratschläge

Habe das mit dem Apache HTTP Server (von www.apache.org) nicht zum laufen gebracht und habe wieder das XAMPP installiert. Beim genauerem Betrachten der PHP-Konfiguration habe ich gemerkt, dass ich doch die falsche PHP.ini editiert hatte (gibt in XAMPP so viele) ...

naja, jetzt bekomme ich die Fehlermeldung


Fatal error: java() [<a href='function.java'>function.java</a>]: Unable to load Java Library jvm.dll, error: Das angegebene Modul wurde nicht gefunden. in C:\xampp\htdocs\testzweck\test.php on line 2



Meine (auf Java bezogene php.ini) sieht so aus (und die Pfade sind ohne Tippfehler)

[Java]
java.class.path = C:\xampp\apache\bin\php_java.jar
java.home = C:\Programme\Java\jdk1.6.0_01\jre\bin
java.library = C:\Programme\Java\jdk1.6.0_01\jre\bin\server\jvm.dll
java.library.path = C:\xampp\php\extensions


Dennoch findet er die JVM.dll nicht ... komisch *weiterherumexperimentier*
Mit Zitat antworten
Antwort

Lesezeichen


Aktive Benutzer in diesem Thema: 1 (Registrierte Benutzer: 0, Gäste: 1)
 

Themen-Optionen
Thema bewerten
Thema bewerten:

Forumregeln
Es ist Ihnen nicht erlaubt, neue Themen zu verfassen.
Es ist Ihnen nicht erlaubt, auf Beiträge zu antworten.
Es ist Ihnen nicht erlaubt, Anhänge hochzuladen.
Es ist Ihnen nicht erlaubt, Ihre Beiträge zu bearbeiten.

BB-Code ist an.
Smileys sind an.
[IMG] Code ist an.
HTML-Code ist aus.
Trackbacks are an
Pingbacks are an
Refbacks are an


PHP News

ebiz-trader 7.5.0 mit PHP7 Unterstützung veröffentlicht
ebiz-trader 7.5.0 mit PHP7 Unterstützung veröffentlichtDie bekannte Marktplatzsoftware ebiz-trader ist in der Version 7.5.0 veröffentlicht worden.

28.05.2018 | Berni

Wissensbestand in Unternehmen
Wissensbestand in UnternehmenLebenslanges Lernen und Weiterbilden sichert Wissensbestand in Unternehmen

25.05.2018 | Berni


 

Aktuelle PHP Scripte

ADSMAN V3 - Werbe-Manager ansehen ADSMAN V3 - Werbe-Manager

ADSMAN V3 - mehr als nur ein Bannermanager! Banner, Textanzeigen und PagePeel Manager! Mit ADSMAN PRO haben Sie die Marketinglösung für eine effektive und effiziente Werbeschaltung mit messbaren Ergebnissen. Unterstützt werden Bannerformate in beliebi

25.10.2018 virtualsystem | Kategorie: PHP/ Bannerverwaltung
PHP News und Artikel Script V2

News schreiben, verwalten, veröffentlichen. Dies ist jetzt mit dem neuen PHP News & Artikel System von virtualsystem.de noch einfacher. Die integrierte Multi-User-Funktion und der WYSIWYG-Editor (MS-Office ähnliche Bedienung) ermöglichen...

25.10.2018 virtualsystem | Kategorie: PHP/ News
Top-Side Guestbook

Gästebuch auf Textbasis (kein MySQL nötig) mit Smilies, Ip Sperre (Zeit selbst einstellbar), Spamschutz, Captcha (Code-Eingabe), BB-Code, Hitcounter, Löschfunktion, Editierfunktion, Kommentarfunktion, Kürzung langer Wörter, Seiten- bzw. Blätterfunktion, V

22.10.2018 webmaster10 | Kategorie: PHP/ Gaestebuch
 Alle PHP Scripte anzeigen

Alle Zeitangaben in WEZ +2. Es ist jetzt 00:51 Uhr.